#include <iostream>
#include <string>
using namespace std;
int main(int argc, char** argv) {
	int brojtak;
	cin>>brojtak;
	string p[brojtak];
	for(int i=0;i<brojtak;i++){
		int bruce,brgrupe;
		long long int brban;
		cin>>bruce>>brban>>brgrupe;
		long long int min=0;
		
		if(bruce % brgrupe == 0){
			 int grupe;
			grupe = bruce / brgrupe;
			min=grupe * (grupe+1 ) / 2 ;
			min= min * brgrupe;
			
		}else{
		 	int	ostatak= bruce % brgrupe;
			int grupe1 = bruce / brgrupe;
			long long int min1 =  grupe1*(grupe1+1)/2; 
			min1 = min1*(brgrupe-ostatak);
			
			int grupe2;
			grupe2 = bruce/brgrupe + 1;
			long long int min2 = grupe2*(grupe2+1) / 2;
			min2 = min2 * ostatak;
			
			min = min1 + min2;
			
		}
		if (min<= brban) p[i]="Tak"; else p[i]="Nie"; 
		
	}
	
	for(int i = 0; i<brojtak;i++){
		cout<<p[i]<<endl;
	}
	return 0;
}